SeExpr

Classes | Public Member Functions | List of all members
SeExpr2::PrintFuncX Class Reference
Inheritance diagram for SeExpr2::PrintFuncX:

## Classes
struct | Data

## Public Member Functions
virtual ExprType | prep (ExprFuncNode *node, bool wantScalar, ExprVarEnvBuilder &envBuilder) const
virtual ExprFuncNode::Data * | evalConstant (const ExprFuncNode *node, ArgHandle args) const
virtual void | eval (ArgHandle args)
| PrintFuncX ()
Public Member Functions inherited from SeExpr2::ExprFuncSimple
| ExprFuncSimple (const bool threadSafe)
virtual int | buildInterpreter (const ExprFuncNode *node, Interpreter *interpreter) const
| Build an interpreter to evaluate the expression. More...
Public Member Functions inherited from SeExpr2::ExprFuncX
| ExprFuncX (const bool threadSafe)
virtual ExprType | type () const
virtual | ~ExprFuncX ()
bool | isThreadSafe () const
virtual size_t | sizeInBytes () const
| Return memory usage of a funcX in bytes. More...
virtual void | statistics (Statistics &) const
| Give this function a chance to populate its statistics. More...

## Additional Inherited Members
Protected Attributes inherited from SeExpr2::ExprFuncX
bool | _isScalar
ExprType | _type

## Detailed Description

Definition at line 1462 of file ExprBuiltins.cpp.

## Constructor & Destructor Documentation

## ◆ PrintFuncX()

SeExpr2::PrintFuncX::PrintFuncX | ( |  | ) |
| inline

Definition at line 1558 of file ExprBuiltins.cpp.

## Member Function Documentation

## ◆ eval()

virtual void SeExpr2::PrintFuncX::eval | ( | ArgHandle | args | ) |
| inline virtual

Implements SeExpr2::ExprFuncSimple.

Definition at line 1537 of file ExprBuiltins.cpp.

References SeExpr2::ExprFuncSimple::ArgHandle::data, for(), SeExpr2::PrintFuncX::Data::format, SeExpr2::ExprFuncSimple::ArgHandle::inFp(), SeExpr2::ExprFuncSimple::ArgHandle::outFp, and SeExpr2::PrintFuncX::Data::ranges.

## ◆ evalConstant()

virtual ExprFuncNode::Data* SeExpr2::PrintFuncX::evalConstant | ( | const ExprFuncNode * | node,
|  | ArgHandle | args
| ) |  | const
| inline virtual

Implements SeExpr2::ExprFuncSimple.

Definition at line 1484 of file ExprBuiltins.cpp.

References SeExpr2::PrintFuncX::Data::format, SeExpr2::ExprFuncSimple::ArgHandle::inStr(), SeExpr2::ExprFuncSimple::ArgHandle::nargs(), and SeExpr2::PrintFuncX::Data::ranges.

## ◆ prep()

virtual ExprType SeExpr2::PrintFuncX::prep | ( | ExprFuncNode * | node,
|  | bool | scalarWanted,
|  | ExprVarEnvBuilder & | env
| ) |  | const
| inline virtual

prep the expression by doing all type checking argument checking, etc.

Implements SeExpr2::ExprFuncSimple.

Definition at line 1469 of file ExprBuiltins.cpp.

References SeExpr2::ExprNode::addError(), SeExpr2::ExprFuncNode::checkArg(), SeExpr2::ExprType::Constant(), SeExpr2::ExprType::Error(), SeExpr2::ExprType::FP(), SeExpr2::ExprNode::numChildren(), and SeExpr2::ExprType::Varying().

The documentation for this class was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/ExprBuiltins.cpp